h1.postTitle{
  font-size:200%;
  padding:10px 0px;
  margin-bottom:20px;
  border-bottom:1px dotted #cd4900;
}

h1.postTitle a{
  color:#cd4900
}

/**日期**/
#blogCalendar td u{
  background:#cd4900;
  border-radius:3px;
  color:white;
  padding:1px 2px;
}

/**引用**/
#cnblogs_post_body blockquote{
    background: url("https://images.cnblogs.com/cnblogs_com/marvin/668095/o_quote.png") no-repeat -75px -20px #F1FEDD;
    border-radius: 10px;
    padding: 15px 50px;
    margin-left:0px;
    border:none;
}

#cnblogs_post_body h2{
  color:#fff;
  padding-left:15px;
  background:#6FA833 !important;
  text-shadow:2px 2px 3px #222222;
  font-family:"微软雅黑" , "宋体" , "黑体" ,Arial;
  margin-bottom:5px;
}

#cnblogs_post_body h3{
  color:#6FA833;
  border-left: 13px solid #6FA833;
  padding:5px;
  background-color:#f5f5f5;
}
#cnblogs_post_body h4{
  color:#cd4900;
  border-bottom:1px solid #cd4900;
}

#cnblogs_post_body pre{
  background-color:#f8f8f8;
  padding:6px 10px;
  border:1px solid #ccc;
  line-height:19px;
  font-size:13px;
  overflow:auto;
  border-radius:3px;
}

#div_digg{
  display:none;
  position:fixed;
  bottom:10px;
  right:250px;
  border:2px solid #6FA833;
  padding:10px;
  background-color:#fff;
  border-radius:5px 5px 5px 5px !important;
  box-shadow:0 0 0 1px #5F5A4B, 1px 1px 6px 1px rgba(10, 10, 0, 0.5);
}

#toTop:hover{
  background-position:left top;
}

#toTop{
  background:url(https://images.cnblogs.com/cnblogs_com/marvin/640133/o_o_toTop.png) no-repeat -70px top;
  width:57px;
  height:57px;
  overflow:hidden;
  position:fixed;
  right:450px;
  bottom:17px;
  cursor:pointer;
	}

/**标签样式**/
#MyTag1_dtTagList a,#EntryTag a,.catListTag a{
  background-color:#6FA833 !important;
  color:#FFFFFF !important;
  padding:1px 3px 1px 3px;
  border-radius:3px;
}

#blog_post_info{
  padding:5px 5px;
  margin-bottom:10px;
  margin-top:10px;
  border:#019875 1px dashed;
  font-size:9pt;
  color:#019875;
}

#green_channel{
  padding:5px 5px;
  border:none;
}

#author_profile_info{
  margin-top:10px;
}

a:hover{
  color:red;
  text-decoration:underline;
}

#div_digg{
  width:140px;
}

.cnblogs-markdown code{
  border:none !important;
}

div.dayTitle{
  background-color:silver;
}

div.dayTitle a{
  color:green;
}

div.postTitle{
  margin-bottom:10px;
  border-left:10px solid #cd4900;
  border-bottom:none;
  padding:10px 5px;
  font-size:200%;
  font-weight:100;
}

div.postTitle a{
  color:green !important;
  font-weight:bold;
}

div.day{
  margin-bottom:10px;
  border-bottom:1px solid #000;
}

/**分类列表标题**/
div.entrylistItem{
  margin-bottom:10px;
  border-bottom:1px solid #000;
}

div.entrylistPosttitle{
  background-color:#6FA833;
  font-family:"微软雅黑" , "宋体" , "黑体" ,Arial;
  font-size:133%;
  padding:5px 5px;
}

div.entrylistPosttitle a{
  color:white
}

/**背景颜色**/
#home{
  background:-webkit-linear-gradient(#ccc,#c0c0c0); /* Chrome,Safari4+ */
  background:-moz-linear-gradient(#F5F5D5,#f5f5d0);/* FF3.6+ */
  background:-ms-linear-gradient(#F5F5D5,#f5f5d0);/* IE10+ */
  filter:progid:DXImageTransform.Microsoft.gradient( startColorstr='#F5F5D5', endColorstr='#f5f5d0',GradientType=0 );/* IE6-9 */
}
#mainContent{
  background:none;
}
#sideBar{
  background:none;
  border:1px dashed #4f4f4f;
}

div.forFlow{
  background:none;
  border:1px dashed #4f4f4f;
}

li.recent_comment_body{
  color:gray!important;
}

li.recent_comment_author{
  color:green!important
}

#sideBar h3{
  font-size:200%;
  margin-bottom:5px;
  border-left:8px solid #6FA833;
  padding:5px;
  border-bottom:1px dashed #000;
  color:#cd4900;
}

#sideBar a{
  color:#000;
}

/**评论样式**/
.feedbackItem{
  border:1px dashed #676767;
  background-color:#FAFAFF;
  margin-bottom:5px;
  margin-top:20px;
  line-height:150%;
}

div.feedbackCon{
  color:#000 !important;
}

.feedbackListSubtitle{
  font-weight:bold;
  border-bottom:dotted 1px #ccc
}

#cnblogs_post_body img{
  border:3px solid #6CE26C;
  border-radius:8px;
  padding:5px;
  max-width:100%;
}

/* 个性签名 */
#MySignature {
    box-shadow: 10px 1px 10px #989898;
    padding: 10px;
    text-shadow: 1px 1px 1px #FFF;
    font-size: 16px;
    font-family: 'Microsoft Yahei';
    border-left: solid 3px #3199E4;
    background: #F3F3F3;
    border-bottom-left-radius: 10px;
    border-top-left-radius: 10px;
    border-bottom-right-radius: 50%;
    border-top-right-radius: 10px;
}
#MySignature a {
    text-decoration: none;
}
#MySignature a:hover {
    text-decoration: underline;
    color: #f60;
}

/* markdown目录所有样式 */
.markdown-toc { margin-left: -20px; }
.markdown-toc ol { counter-reset: markdown_toc; list-style-type: none; padding-left: 20px; margin: 0;}
.markdown-toc ol li { counter-increment: markdown_toc; overflow: hidden; text-overflow: ellipsis; white-space: nowrap; }
/* .markdown-toc ol li:before { content: counters(markdown_toc, ".") ". "; } */


/* markdown目录导航 */
.markdown-nav-wrapper {
    position: fixed;
    bottom: 10px;
    right: 10px;
    width: 300px;
    font-family: 'Microsoft Yahei';
    font-size: 16px;
}
.markdown-nav-sidebar {
    position: absolute;
    height: 420px;
    border-left: solid 1px #eaeaea;
    left: 5px;
    width: 0px;
    background: #eaeaea;
    border-right: solid 1px #eaeaea;
    z-index: 10;
}

.markdown-nav-sidebar:before {
    content: '';
    display: block;
    width: 10px;
    height: 10px;
    background: #FFF;
    border-radius: 50%;
    border: solid 2px #ddd;
    position: absolute;
    left: -5px;
}
.markdown-nav-sidebar:after {
    content: '';
    display: block;
    width: 10px;
    height: 10px;
    background: #FFF;
    border-radius: 50%;
    border: solid 2px #ddd;
    position: absolute;
    left: -5px;
    bottom: 0px;
}
.markdown-nav-content {
    background: white;
    padding: 10px 12px;
    margin-bottom: 10px;
    border-radius: 5px;
    height: 420px;
    overflow-y: auto;
    border: solid 1px #ddd;
    border-left: none;
    padding-left: 20px;
    position: relative;
}
.markdown-nav-wrapper.hide .markdown-nav-sidebar{display:none;}
.markdown-nav-wrapper.hide .markdown-nav-content{display:none;}
.markdown-nav-content .title {
    font-weight: bold;
    margin-bottom: 5px;
}
.markdown-nav-btn > .fa {
    width: 50px;
    height: 50px;
    background: #ccc;
    text-align: center;
    line-height: 50px;
    color: white;
    font-size: 2em;
    cursor: pointer;
}
.markdown-nav-btn > .fa:active {
    background-color: #aaa;
}
.markdown-nav-btn > .fa:hover {
    background-color: #bbb;
}
.markdown-toc > ol > li:after {
    content: '';
    position: absolute;
    z-index: 11;
    width: 10px;
    height: 10px;
    background: #ccc;
    left: -19px;
    border-radius: 50%;
    top: 7px;
    border: solid 2px white;
}

.markdown-toc ol li a:before {
    content: counters(markdown_toc, ".") ". ";
    color: black;
}
.markdown-toc ol li a {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    width: 100%;
    display: inline-block;
    color: #337ab7;
}
.markdown-toc ol li a.active {
    background: #127EBA;
    color: white;
}
.markdown-toc ol li { overflow: initial; position: relative; }

/*
 代码高亮开始，使用了一个叫Monokai Sublime的黑色主题皮肤，直接拿过来还不行，有一些样式冲突，还要自己稍微改一些地方
Monokai Sublime style. Derived from Monokai by noformnocontent https://nn.mit-license.org/
*/
pre {
/*控制代码不换行*/
    white-space: pre;
    word-wrap: normal;
}
.cnblogs-markdown .hljs {
    display: block;
    overflow-x: auto;
    background: #272822 !important;
    color: #FFF;
    white-space: pre;
    word-break: normal;
    padding: 10px 15px !important;
    font-size: 16px!important;
    max-height: 720px;
}

.hljs,
.hljs-tag,
.hljs-subst {
  color: #f8f8f2;
}

.hljs-strong,
.hljs-emphasis {
  color: #a8a8a2;
}

.hljs-bullet,
.hljs-quote,
.hljs-number,
.hljs-regexp,
.hljs-literal,
.hljs-link {
  color: #ae81ff;
}

.hljs-code,
.hljs-title,
.hljs-section,
.hljs-selector-class {
  color: #a6e22e;
}

.hljs-strong {
  font-weight: bold;
}

.hljs-emphasis {
  font-style: italic;
}

.hljs-keyword,
.hljs-selector-tag,
.hljs-name,
.hljs-attr {
  color: #f92672;
}

.hljs-symbol,
.hljs-attribute {
  color: #66d9ef;
}

.hljs-params,
.hljs-class .hljs-title {
  color: #f8f8f2;
}

.hljs-string,
.hljs-type,
.hljs-built_in,
.hljs-builtin-name,
.hljs-selector-id,
.hljs-selector-attr,
.hljs-selector-pseudo,
.hljs-addition,
.hljs-variable,
.hljs-template-variable {
  color: #e6db74;
}

.hljs-comment,
.hljs-deletion,
.hljs-meta {
  color: #75715e;
}

/*黑色主题皮肤结束*/